@import 'variables';

html {
  font-size: @base-font-size;
}

body {
  font-family: @font-family;
  font-size: 1em;
  background-color: @gray;
  color: @text-color;
}

h1 {
  font-size: 2.4em;
}

h2 {
  font-size: 2em;
}

h3 {
  font-size: 1.8em;
  color: @primary-color;
}

p {
  font-size: 1.3em;
}

h1,
h2,
h3,
p {
  margin: 0;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.container {
  background-color: white;
  margin: 80px 120px;
  padding: @base-padding;

  header {
    text-align: center;
    border-bottom: 3px solid @gray-border-color;
    padding-bottom: @base-margin;
    color: @dark-gary;

    .image-size {
      width: 150px;
      height: 150px;
      border-radius: 50%;
      margin-top: -75px;
    }

    h1:first-of-type {
      margin: @base-margin 0;
    }
  }

  & > section,
  & > article {
    margin: @base-margin;
  }

  section > h3 {
    margin-bottom: @base-margin;
  }

  article > section ul {
    li {
      width: 100%;
      margin-top: @base-margin;
      display: inline-block;

      h4,
      section {
        box-sizing: border-box;
      }

      h4 {
        width: 10%;
        float: left;
        margin-top: 0;
      }

      section {
        width: 90%;
        display: inline-block;
        background-color: @gray;
        padding: @base-padding;

        h5 {
          padding-bottom: @base-padding;
          margin: 0;
        }
      }
    }
  }
}
